%define upstream_name    Complete-Util
%define upstream_version 0.611

%{?perl_default_filter}
%global __requires_exclude_from %{?__requires_exclude_from:%__requires_exclude_from|}^%{_docdir}
%global __requires_exclude perl\\(this\\)

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2
Summary:    General completion routines
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Complete/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Complete::Common) >= 0.220.0
BuildRequires: perl(Exporter) >= 5.570.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(List::Util) >= 1.450.0
BuildRequires: perl(Log::ger) >= 0.27.0
BuildRequires: perl(Test::More) >= 0.980.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%global __requires_exclude  %{?__requires_exclude}|^perl\\(case-insensitive\\)

%description
General completion routines.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Thu Feb 20 2020 umeabot <umeabot> 0.611.0-2.mga8
+ Revision: 1545600
- Mageia 8 Mass Rebuild

* Wed Jan 29 2020 tv <tv> 0.611.0-1.mga8
+ Revision: 1484902
- update to 0.611

* Wed Jan 15 2020 tv <tv> 0.608.0-1.mga8
+ Revision: 1478017
- update to 0.608

* Wed Dec 25 2019 tv <tv> 0.607.0-1.mga8
+ Revision: 1469994
- update to 0.607

* Sat Dec 21 2019 tv <tv> 0.606.0-1.mga8
+ Revision: 1469214
- update to 0.606

* Sun Aug 25 2019 tv <tv> 0.603.0-1.mga8
+ Revision: 1431959
- update to 0.603

* Thu Jul 18 2019 tv <tv> 0.602.0-1.mga8
+ Revision: 1422461
- update to 0.602

* Sat Jun 29 2019 tv <tv> 0.601.0-1.mga8
+ Revision: 1415914
- update to 0.601

* Tue Dec 04 2018 shlomif <shlomif> 0.600.0-1.mga7
+ Revision: 1338289
- update to 0.600

* Wed Sep 19 2018 umeabot <umeabot> 0.380.0-4.mga7
+ Revision: 1266581
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.380.0-3.mga6
+ Revision: 1024276
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.380.0-2.mga6
+ Revision: 969987
- Mageia 6 Mass Rebuild

* Mon Sep 28 2015 sander85 <sander85> 0.380.0-1.mga6
+ Revision: 884470
- update to 0.38

* Sun Sep 06 2015 sander85 <sander85> 0.330.0-1.mga6
+ Revision: 873426
- update to 0.33

* Thu Aug 13 2015 sander85 <sander85> 0.320.0-1.mga6
+ Revision: 864301
- update to 0.32

* Mon Jul 13 2015 sander85 <sander85> 0.310.0-1.mga6
+ Revision: 853689
- update to 0.31

* Sat Oct 18 2014 umeabot <umeabot> 0.130.0-5.mga5
+ Revision: 787983
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.130.0-4.mga5
+ Revision: 743355
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.130.0-3.mga5
+ Revision: 732787
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.130.0-2.mga5
+ Revision: 683964
- Mageia 5 Mass Rebuild

* Tue Jul 29 2014 guillomovitch <guillomovitch> 0.130.0-1.mga5
+ Revision: 657991
- imported package perl-Complete-Util


* Tue Jul 29 2014 cpan2dist 0.13-1mga
- initial mageia release, generated with cpan2dist
